ru.bitel.oss.kernel.entity.common.bean.filter

## Class FilterEntityAttrDate

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr
  - - ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttrDate

-     public class FilterEntityAttrDate
      extends FilterEntityAttr

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

      `MODE_EQ, MODE_LIKE, MODE_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterEntityAttrDate()`
    `FilterEntityAttrDate(java.util.Set<java.lang.Integer> entitySpecAttrIds, java.util.Date periodFrom, java.util.Date periodTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getPeriodFrom()`
    `java.util.Date` | `getPeriodTo()`
    `void` | `setPeriodFrom(java.util.Date periodFrom)`
    `void` | `setPeriodTo(java.util.Date periodTo)`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

      `getEntitySpecAttrIds, setEntitySpecAttrIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterEntityAttrDate

          public FilterEntityAttrDate()

    - #### FilterEntityAttrDate

          public FilterEntityAttrDate(java.util.Set<java.lang.Integer> entitySpecAttrIds,
                                      java.util.Date periodFrom,
                                      java.util.Date periodTo)

  - ### Method Detail

    - #### getPeriodFrom

          public java.util.Date getPeriodFrom()

    - #### setPeriodFrom

          public void setPeriodFrom(java.util.Date periodFrom)

    - #### getPeriodTo

          public java.util.Date getPeriodTo()

    - #### setPeriodTo

          public void setPeriodTo(java.util.Date periodTo)